<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_ewallet.mvvm.HistortyDetailJobViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_ewallet.ui.EWalletHistoryDetailJobActivity.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:orientation="vertical">

        <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:Easy_title="付款发票" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:fillViewport="true"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="170dp"
                    android:layout_marginLeft="@dimen/d_15dp"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:layout_marginRight="@dimen/d_15dp"
                    android:background="@drawable/iv_job_detail_bg"
                    android:orientation="vertical">

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:text="你的收入"
                        android:textColor="@color/white"
                        android:textSize="@dimen/d_16sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewBold
                        android:id="@+id/tv_job_detail_earned"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:text="93,026"
                        android:textColor="@color/text_yellow_fed849"
                        android:textSize="32sp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/d_30dp"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_20dp">

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="付款人: "
                            android:textColor="@color/white"
                            android:textSize="@dimen/d_13sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/tv_job_detail_paid_by"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_3dp"
                            android:text="武汉瓜豆科技有限公司"
                            android:textColor="@color/white"
                            android:textSize="@dimen/d_13sp" />

                    </LinearLayout>

                    <TextView
                        android:id="@+id/tv_job_detail_paid_date"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:text="2022/07/08 10:30"
                        android:textColor="@color/white"
                        android:textSize="@dimen/d_12sp" />

                </LinearLayout>

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_10dp"
                    android:layout_marginTop="@dimen/d_17dp"
                    android:background="@color/page_bg" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingLeft="@dimen/d_20dp"
                    android:paddingTop="@dimen/d_20dp"
                    android:paddingBottom="@dimen/d_10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/iv_job_detail_date" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_job_date"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_12dp"
                        android:text="2022/07/08 周五"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_16sp" />

                </LinearLayout>

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_0.5dp"
                    android:background="@color/main_divide" />

                <com.guadou.lib_baselib.font_text_view.TextViewBold
                    android:id="@+id/tv_job_detail_employer_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:paddingLeft="@dimen/d_20dp"
                    android:text="香格里拉酒店宴会"
                    android:textColor="@color/notify_dark_blue"
                    android:textSize="@dimen/d_18sp" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/d_20dp"
                    android:paddingTop="@dimen/d_15dp"
                    android:paddingBottom="@dimen/d_15dp">

                    <ImageView
                        android:id="@+id/iv_job_detail_image"
                        android:layout_width="93.5dp"
                        android:layout_height="68dp"
                        android:background="@drawable/placeholder_img_job_img"
                        android:scaleType="centerCrop" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_job_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_toRightOf="@id/iv_job_detail_image"
                        android:text="宴会服务"
                        android:textColor="@color/text_yellow_ff9300"
                        android:textSize="@dimen/d_16sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_job_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tv_job_detail_job_title"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginTop="@dimen/d_2dp"
                        android:layout_toRightOf="@id/iv_job_detail_image"
                        android:text="07:00-22:00"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:layout_toRightOf="@id/iv_job_detail_image"
                        android:orientation="horizontal">

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="状态："
                            android:textColor="@color/gray_76"
                            android:textSize="@dimen/d_14sp" />

                        <com.guadou.lib_baselib.font_text_view.TextViewMedium
                            android:id="@+id/tv_job_invoice_details_status"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="付款处理"
                            android:textColor="@color/green_text_21b209"
                            android:textSize="@dimen/d_14sp" />

                    </LinearLayout>

                </RelativeLayout>

                <!--签到时间-->
                <LinearLayout
                    android:id="@+id/ll_job_details_start_time"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_detail_start_time" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="开始时间："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <TextView
                        android:id="@+id/tv_job_detail_start_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="06:59"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--签出时间-->
                <LinearLayout
                    android:id="@+id/ll_job_details_end_time"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_detail_endtime" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="结束时间："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <TextView
                        android:id="@+id/tv_job_detail_end_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="22:05"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--额外时间-->
                <LinearLayout
                    android:id="@+id/ll_job_details_extra_time"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_detail_sign" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="+/- 小时："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_hours"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="0"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--总共时间-->
                <LinearLayout
                    android:id="@+id/ll_job_details_total_hours"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_detail_t" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="总时长："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <TextView
                        android:id="@+id/tv_job_detail_total_hours"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="12"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--Hourly Rate-->
                <LinearLayout
                    android:id="@+id/ll_job_details_hourly_rate"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_detail_rate" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="小时单价："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_hourly_rate"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="8.5 / 小时"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--Deduction-->
                <LinearLayout
                    android:id="@+id/ll_job_details_deduction"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/iv_job_detail_deduction" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="扣除:"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_deduction"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="￥15"
                        android:textColor="@color/text_yellow_ff9300"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--CPF-->
                <!--                <LinearLayout-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="wrap_content"-->
                <!--                    android:paddingLeft="@dimen/d_15dp"-->
                <!--                    android:paddingTop="@dimen/d_5dp"-->
                <!--                    android:paddingBottom="@dimen/d_5dp">-->

                <!--                    <ImageView-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:src="@drawable/iv_job_detail_deduction" />-->

                <!--                    <com.guadou.componentservice.font_text_view.TextViewRegular-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_marginLeft="@dimen/d_4dp"-->
                <!--                        android:text="@string/job_detail_cpf_deduction"-->
                <!--                        android:textColor="@color/gray_item_transaction_history"-->
                <!--                        android:textSize="@dimen/sp_14" />-->

                <!--                    <TextView-->
                <!--                        android:id="@+id/tv_job_detail_cpf_deduction"-->
                <!--                        android:layout_width="wrap_content"-->
                <!--                        android:layout_height="wrap_content"-->
                <!--                        android:layout_marginLeft="@dimen/d_5dp"-->
                <!--                        android:text="S$-"-->
                <!--                        android:textColor="@color/gray_item_transaction_history"-->
                <!--                        android:textSize="@dimen/d_14sp" />-->

                <!--                </LinearLayout>-->

                <!--Employer-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_details_employer" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="雇主:"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/sp_14" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_job_detail_employer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="杰森"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--Remark-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:src="@drawable/iv_job_detail_remark" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:text="备注："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <TextView
                        android:id="@+id/tv_giro_detail_remark"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="无"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <!--Note-->
                <LinearLayout
                    android:id="@+id/ll_job_detail_note"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:gravity="start"
                    android:paddingLeft="@dimen/d_15dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/iv_job_detail_note" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:layout_width="83dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_4dp"
                        android:layout_marginTop="1.5dp"
                        android:text="说明："
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_giro_detail_note"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="1.5dp"
                        android:paddingRight="@dimen/d_10dp"
                        android:text="有一些修改，请注意。 这是一个额外的记录。如果您想查看整个记录，请到交易历史页面查看详细信息。"
                        android:textColor="@color/gray_76"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_35dp"
                    android:layout_marginTop="@dimen/d_35dp"
                    android:layout_marginRight="@dimen/d_35dp"
                    android:layout_marginBottom="@dimen/d_40dp"
                    android:background="@drawable/selector_app_blue_button_round2_bg"
                    android:gravity="center"
                    android:padding="@dimen/d_12dp"
                    android:text="报告问题"
                    android:textColor="@color/white_text_fe"
                    android:textSize="@dimen/d_16sp"
                    binding:clicks="@{click.gotoIssueSubmitPage}" />

            </LinearLayout>

        </ScrollView>

    </LinearLayout>

</layout>
